<template>
  <div class="display">
    <li>
      <div class="message-line" v-for="message in messages" :key="message.id">
          <p>{{ message.userName }}: {{ message.message }}</p>
      </div>
    </li>
  </div>
</template>

<script>
import Firebase from '../../services/Firebase/Firebase.js'

export default {
  name: 'Display',
  data () {
    return {
      messages: ''
    }
  },
  created () {
    this.getMessages()
  },
  methods: {
    getMessages: function () {
      Firebase.getMessages().then(response => {
        console.log(response)
        this.messages = response
      })
    }
  }
}

</script>
